Package org.springframework.http.codec

# Interface ServerCodecConfigurer.ServerDefaultCodecs

All Superinterfaces:
  `CodecConfigurer.DefaultCodecs`

Enclosing interface:
  ServerCodecConfigurer

public static interface ServerCodecConfigurer.ServerDefaultCodecs extends CodecConfigurer.DefaultCodecs
`CodecConfigurer.DefaultCodecs` extension with extra server-side options.

## Method Summary

Modifier and Type
Method
Description
`void`
`serverSentEventEncoder(org.springframework.core.codec.Encoder<?> encoder)`
Configure the `Encoder` to use for Server-Sent Events.

### Methods inherited from interface org.springframework.http.codec.CodecConfigurer.DefaultCodecs

`configureDefaultCodec, enableLoggingRequestDetails, jackson2JsonDecoder, jackson2JsonEncoder, jackson2SmileDecoder, jackson2SmileEncoder, jaxb2Decoder, jaxb2Encoder, kotlinSerializationCborDecoder, kotlinSerializationCborEncoder, kotlinSerializationJsonDecoder, kotlinSerializationJsonEncoder, kotlinSerializationProtobufDecoder, kotlinSerializationProtobufEncoder, maxInMemorySize, multipartCodecs, multipartReader, protobufDecoder, protobufEncoder`

## Method Details

### serverSentEventEncoder

void serverSentEventEncoder(org.springframework.core.codec.Encoder<?> encoder)
Configure the `Encoder` to use for Server-Sent Events.

By default if this is not set, and Jackson is available, the `CodecConfigurer.DefaultCodecs.jackson2JsonEncoder(org.springframework.core.codec.Encoder<?>)` override is used instead. Use this method to customize the SSE encoder.